## org.eclipse.emf.databinding.internal
Class EMFSetProperty

    java.lang.Object
      org.eclipse.core.databinding.property.set.SetProperty
          org.eclipse.core.databinding.property.set.SimpleSetProperty
              org.eclipse.emf.databinding.internal.EMFSetProperty

All Implemented Interfaces:
  IProperty, ISetProperty

Direct Known Subclasses:
  EMFEditSetProperty

    public class EMFSetProperty

extends SimpleSetProperty

PROVISIONAL: This API is subject to arbitrary change, including renaming or removal.

Since:
  2.6

Constructor Summary
`EMFSetProperty(EStructuralFeature eStructuralFeature)`

Method Summary
`INativePropertyListener` `adaptListener(ISimplePropertyListener listener)`
`protected java.util.Set` `doGetSet(java.lang.Object source)`
`protected void` `doSetSet(java.lang.Object source, java.util.Set set, SetDiff diff)`
`java.lang.Object` `getElementType()`
`protected EStructuralFeature` `getFeature()`
`java.lang.String` `toString()`

Methods inherited from class org.eclipse.core.databinding.property.set.SimpleSetProperty
`getSet, observe, setSet`

Methods inherited from class org.eclipse.core.databinding.property.set.SetProperty
`observe, observeDetail, setFactory, setFactory, values`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EMFSetProperty

    public EMFSetProperty(EStructuralFeature eStructuralFeature)

Parameters:
  `eStructuralFeature` -

Method Detail

### getFeature

    protected EStructuralFeature getFeature()

  Returns:
    the feature

### getElementType

    public java.lang.Object getElementType()

### doGetSet

    protected java.util.Set doGetSet(java.lang.Object source)

  Specified by:
    `doGetSet` in class `SimpleSetProperty`

### doSetSet

    protected void doSetSet(java.lang.Object source,
                            java.util.Set set,
                            SetDiff diff)

  Specified by:
    `doSetSet` in class `SimpleSetProperty`

### adaptListener

    public INativePropertyListener adaptListener(ISimplePropertyListener listener)

  Specified by:
    `adaptListener` in class `SimpleSetProperty`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.